const res = await fetch("https://api.openrevenue.com/api/v1/projects", {
headers: { Authorization: `Bearer ${OPENREVENUE_API_KEY}` },
})
const data = await res.json()
curl https://api.openrevenue.com/api/v1/projects \
-H "Authorization: Bearer openrevenue_your_key"
{
"projects": [
{
"id": "44cc0aa0-912f-4067-83c7",
"name": "Madar Agency",
"domain": "example.com",
"createdAt": "2026-04-01T12:00:00.000Z"
}
]
}
List projects
Returns all projects belonging to the authenticated user, ordered by creation date.
GET
/
api
/
v1
/
projects
const res = await fetch("https://api.openrevenue.com/api/v1/projects", {
headers: { Authorization: `Bearer ${OPENREVENUE_API_KEY}` },
})
const data = await res.json()
curl https://api.openrevenue.com/api/v1/projects \
-H "Authorization: Bearer openrevenue_your_key"
{
"projects": [
{
"id": "44cc0aa0-912f-4067-83c7",
"name": "Madar Agency",
"domain": "example.com",
"createdAt": "2026-04-01T12:00:00.000Z"
}
]
}
Response
Errors
| Status | Error | Description |
|---|---|---|
401 | Invalid or missing API key | The Authorization header is missing or the Bearer token is invalid. |
const res = await fetch("https://api.openrevenue.com/api/v1/projects", {
headers: { Authorization: `Bearer ${OPENREVENUE_API_KEY}` },
})
const data = await res.json()
curl https://api.openrevenue.com/api/v1/projects \
-H "Authorization: Bearer openrevenue_your_key"
{
"projects": [
{
"id": "44cc0aa0-912f-4067-83c7",
"name": "Madar Agency",
"domain": "example.com",
"createdAt": "2026-04-01T12:00:00.000Z"
}
]
}
Was this page helpful?